var
  i : integer;
  a : array[0..4] of int64;
  ans, k : int64;
begin
  reset(input, 'tables.in');
  rewrite(output, 'tables.out');
  for i := 0 to 4 do begin
    read(a[i]);
  end;
  ans := a[1] + 2 * a[2];
  ans := ans + a[3];
  writeln(ans);
end.